MODULE agrif_oce
   !!----------------------------------------------------------------------
   !!                       ***  MODULE agrif_oce  ***
   !!
   !! ** Purpose :   Define in memory agrif variables
   !!----------------------------------------------------------------------
   !! History :
   !!   9.0  !  07-12  (R. Benshila)  initial version
   !!----------------------------------------------------------------------
   !!  OPA 9.0 , LOCEAN-IPSL (2006)
   !! $Id$
   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
   !!----------------------------------------------------------------------
   !! * Modules used
   USE par_oce      ! ocean parameters
   USE dom_oce      ! domain parameters
   
   IMPLICIT NONE
   PUBLIC 

#if defined key_agrif

   !! Namelist parameters (namagrif)
   !! ------------------------------
   LOGICAL, PUBLIC :: ln_spc_dyn  = .FALSE.
   INTEGER, PUBLIC :: nbclineupdate = 3  !: update frequency 
   REAL(wp), PUBLIC :: visc_tra = rdt  !: sponge coeff. for tracers
   REAL(wp), PUBLIC :: visc_dyn = rdt  !: sponge coeff. for dynamics

   !! Use for sponge computation
   !! --------------------------
   LOGICAL, PUBLIC :: spongedoneT = .FALSE.  
   LOGICAL, PUBLIC :: spongedoneU = .FALSE.
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  
      spe1ur, spe2vr ,spbtr2, spe1ur2, spe2vr2, spbtr3  
#endif

END MODULE agrif_oce
